<?php
	include ('Taxi.php');

    $con=mysqli_connect("localhost","castell1_castell","Shadi1993","castell1_taxime");
    if (mysqli_connect_errno())
    {
        echo "Failed to connect to MySQL: " . mysqli_connect_error();
    }
    else
    {
        if(isset($_GET['latitude']))
		    $lat1 = $_GET['latitude'];
   	    if(isset($_GET['longitude']))
		    $lon1 = $_GET['longitude'];




$writer = new XMLWriter();
//lets store our XML into the memory so we can output it later
$writer->openMemory();
//lets also set the indent so its a very clean and formatted XML
$writer->setIndent(true);
//now we need to define our Indent string,which is basically how many blank spaces we want to have for the indent
$writer->setIndentString("    ");
//Lets start our document,setting the version of the XML and also the encoding we gonna use
//XMLWriter->startDocument($string version, $string encoding);
$writer->startDocument("1.0", "UTF-8");
$writer->startElement('result');






	    $taxiFound = "0";



        if(strcmp($taxiFound,"0")==0)
        {
                $query = mysqli_query($con,"select * from taxi_companies");  //stattus can be Requested, Cancelled or Accepted
	            $taxiCompanyArray= array();

                if ($query->num_rows > 0)
                {
                    while ($row = mysqli_fetch_array($query))
                    {
                        $distance = distance($lat1,$lon1,$row['latitude'],$row['longitude'],$taxiFound); //lat lng of taxi company location
                        if($distance<10)
			            {
                             $taxiCompanyArray[] = new Taxi($row ['company_name'],$row ['address'],$row['telephone'],$distance);
                        }
                    }
                }
                else echo "no result";
		 	    usort($taxiCompanyArray,'distanceSort');

                for($i=0;$i<5;$i++)
		 	    {
		 	        $writer->writeElement("companyname",$taxiCompanyArray[$i]->taxiCompanyName);
                    $writer->writeElement("address", $taxiCompanyArray[$i]->taxiCompanyAddress);
                    $writer->writeElement("telephone", $taxiCompanyArray[$i]->taxiCompanyTelephone);
                    $writer->writeElement("distance",$taxiCompanyArray[$i]->distanceFromUser);

                }
        }
    }
    




	function distance($lat1, $lon1, $lat2, $lon2,$taxi)//, $unit)
   	{

	  $theta = $lon1 - $lon2;
	  $dist = sin(deg2rad($lat1)) * sin(deg2rad($lat2)) +  cos(deg2rad($lat1)) * cos(deg2rad($lat2)) * cos(deg2rad($theta));
	  $dist = acos($dist);
	  $dist = rad2deg($dist);
	  $miles = $dist * 60 * 1.1515;
	  //$unit = strtoupper($unit);

	 if(strcmp($taxi,"0")==0)
	  {
	      return $miles;
	  }
	 if($miles<10)
		return true;
	 else return false;
	 /* if ($unit == "K") {
	    return ($miles * 1.609344);
	  } else if ($unit == "N") {
	      return ($miles * 0.8684);
	    } else {*/
   	}

	function distanceSort( $a, $b )
	{
	    return $a->distanceFromUser == $b->distanceFromUser ? 0 : ( $a->distanceFromUser > $b->distanceFromUser ) ? 1 : -1;
	}


    $writer->endElement();
           $writer->endDocument();

           header('Content-type: text/xml');

           echo $writer->outputMemory();


       mysqli_close($con);
      //mysql_close($conn);




?>